/// <reference types="node" />
import { FormDataLike } from "./FormDataLike";
export declare class Encoder {
    #private;
    /**
     * Returns a boundary string
     */
    readonly boundary: string;
    /**
     * Returns Content-Type header for multipart/form-data
     */
    readonly contentType: string;
    constructor(form: FormDataLike, boundary?: string);
    /**
     * Returns headers for multipart/form-data
     */
    get headers(): {
        "Content-Type": string;
        "Content-Length": number;
    };
    private _getFieldHeader;
    /**
     * Returns form-data content length
     */
    getContentLength(): number;
    private _getField;
    /**
     * Returns async generator allowing to encode FormData content into the spec format
     */
    encode(): AsyncGenerator<Buffer, void, undefined>;
    [Symbol.asyncIterator](): AsyncGenerator<Buffer, void, undefined>;
}
