"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const mime_types_1 = __importDefault(require("mime-types"));
const DEFAULT_CONTENT_TYPE = "application/octet-stream";
/**
 * Returns a mime-type determined from given filename, if any.
 * Returns `application/octet-stream` if there's no mime-type for given filename found.
 *
 * @param filename A name of file to determine a mime-type from
 *
 * @api private
 */
const getMimeFromFilename = (filename) => (mime_types_1.default.lookup(filename) || DEFAULT_CONTENT_TYPE);
exports.default = getMimeFromFilename;
