import isFunction from "./isFunction.js";
/**
 * Check if given object is FormData
 *
 * @param value an object to test
 */
const isFormData = (value) => Boolean(value
    && isFunction(value.constructor)
    && value[Symbol.toStringTag] === "FormData"
    && isFunction(value.set)
    && isFunction(value.append)
    && isFunction(value.has)
    && isFunction(value.get)
    && isFunction(value.getAll)
    && isFunction(value.keys)
    && isFunction(value.values)
    && isFunction(value.entries)
    && isFunction(value[Symbol.iterator]));
export default isFormData;
